%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-screensaver
Version:        1.28.0
Release:        %mkrel 1
Summary:        MATE Screensaver
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/MATE
URL:            http://pub.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         org.mate.screensaver.gschema.xml.in.patch
BuildRequires: intltool
BuildRequires: pam-devel
BuildRequires: pkgconfig(dbus-glib-1) >= 0.30
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(libmate-menu) >= 1.22.0
BuildRequires: pkgconfig(libmatekbdui) >= 1.22.0
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xxf86misc)
BuildRequires: pkgconfig(xxf86vm)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(x11) >= 1.0
BuildRequires: libxml2-utils

Requires:   mate-backgrounds
Requires:   mate-power-manager
Requires:   libxslt-proc
Requires:   dbus-x11
Requires:   glibc >= 2.33

%description
mate-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.

%package devel
Summary: Development files for mate-screensaver
Group:   Development/Libraries
Requires: %{name} = %{version}

%description devel
Development files for mate-screensaver

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --with-systemd=no
%make_build

%install
rm -rf %buildroot
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/mate-screensaver*
%config(noreplace) %{_sysconfdir}/pam.d/mate-screensaver
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-screensavers.menu
%{_sysconfdir}/xdg/autostart/mate-screensaver.desktop
%{_libexecdir}/mate-screensaver-*
%{_libexecdir}/mate-screensaver
%{_datadir}/applications/mate-screensaver-preferences.desktop
%{_datadir}/applications/screensavers/*.desktop
%{_datadir}/mate-screensaver
%{_datadir}/backgrounds/cosmos/
%{_datadir}/pixmaps/*-logo-white.svg
%{_datadir}/desktop-directories/mate-screensaver.directory
%{_datadir}/glib-2.0/schemas/org.mate.screensaver.gschema.xml
%{_datadir}/mate-background-properties/cosmos.xml
%{_datadir}/dbus-1/services/org.mate.ScreenSaver.service
%{_mandir}/man1/*

%files devel
%{_libdir}/pkgconfig/*

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%changelog
* Thu Feb 22 2024 tex - 1.28.0-1pclos2024
- new version

* Tue Feb 13 2024 tex - 1.26.1-2pclos2024
- rebuild against updates

* Fri Dec 03 2021 tex - 1.26.1-1pclos2021
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.2-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
